## gunicorn 19.6.0

=== debian/changelog ===
gunicorn (19.6.0-11) unstable; urgency=medium

  * Use ${misc:Pre-Depends} to populate Pre-Depends for
    dpkg-maintscript-helper. Thanks to Sebastian Ramacher. (Closes: #853989)

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Feb 2017 09:45:15 +1300

gunicorn (19.6.0-10) unstable; urgency=medium

  * Move debian/README.Debian → debian/NEWS.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Jan 2017 22:05:49 +0000

gunicorn (19.6.0-9) unstable; urgency=medium

  * Add simple autopkgtest smoke test.

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Nov 2016 10:38:30 +0000

gunicorn (19.6.0-8) unstable; urgency=medium

  * Correct 0004-Set-supplementary-groups-when-changing-uid.patch to be
    compatible with Python 3. (Closes: #839984)

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Oct 2016 11:12:58 +0100

gunicorn (19.6.0-7) unstable; urgency=medium

  * Set supplementary groups when changing uid Thanks to Filippos Giannakos
    <philipgian@grnet.gr>. (Closes: #762448)
  * Add example systemd service to gunicorn-examples. (Closes: #839250)
  * Add README.Debian to make it clearer what to do now that /etc/gunicorn.d
    has been removed.

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2016 19:52:41 +0100

gunicorn (19.6.0-6) unstable; urgency=medium

  * Remove now-obsolete conffiles; they should have been removed in 19.6.0-3.
    (Closes: #839183)
    - Also drop logrotate script now that we are not logging there.

 -- Chris Lamb <lamby@debian.org>  Fri, 30 Sep 2016 18:18:08 +0100

gunicorn (19.6.0-5) unstable; urgency=medium

  * Run "gbp pq import && gbp pq export" to refresh patches.
  * Don't call chown(2) if it would be a no-op so to avoid startup failures
    when confined in a snap. See
    <https://bugs.launchpad.net/ubuntu/+source/gunicorn/+bug/1611603>.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Sep 2016 22:35:47 +0200

gunicorn (19.6.0-4) unstable; urgency=medium

  * Drop template .service files; lets be as "upstream" as possible and point
    towards examples and documentation instead.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Aug 2016 09:10:06 +0100

gunicorn (19.6.0-3) unstable; urgency=medium

  * Drop /usr/sbin/gunicorn{,3}-debian and related machinery (Closes: #835225)
    - Inflexibility.
    - Never was documented.
    - Not adopted upstream.
    - Templated systemd service files can do a better job.
    - I doubt many people were really using this feature.
  * Add template .service files.

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Aug 2016 19:26:20 +0100

gunicorn (19.6.0-2) unstable; urgency=medium

  * Reload in logrotate's postrotate, otherwise gunicorn processes continue
    writing to the rotated files and not the new ones.  Thanks to Dimitris
    Bliablias <bl.dimitris@gmail.com> for the report and patch, although note
    that we call the more generic "reload" action instead of the suggested
    kill(1) call. (Closes: #832603)
  * Ensure that package short descriptions are unique to appease lintian.
  * wrap-and-sort -sa.
  * Re-order binary packages in debian/control.
  * Move to DEP-5 copyright file.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Aug 2016 16:08:44 -0400

gunicorn (19.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Tue, 31 May 2016 17:25:00 +0100

=== debian/control ===
Source: gunicorn
Section: httpd
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python (>= 2.6.6-3~),
 python3-all,
Build-Depends-Indep:
 python-setuptools,
 python3-setuptools,
Standards-Version: 3.9.8
Vcs-Git: https://github.com/lamby/pkg-gunicorn
Vcs-Browser: https://github.com/lamby/pkg-gunicorn
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://gunicorn.org/

Package: gunicorn
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 python-gunicorn (= ${binary:Version}),
 python-pkg-resources,
 python-setuptools,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 gunicorn-examples (= ${binary:Version}),
 python-gevent,
 python-pastedeploy,
 python-setproctitle,
 python-tornado,
Provides:
 httpd-wsgi,
Description: Event-based HTTP/WSGI server (Python 2 version)
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 2 version.

Package: gunicorn3
Architecture: all
Depends:
 python3-gunicorn (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 gunicorn-examples (= ${binary:Version}),
 python3-pastedeploy,
 python3-setproctitle,
 python3-tornado,
Description: Event-based HTTP/WSGI server (Python 3 version)
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 3 version.

Package: python-gunicorn
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 python-pkg-resources,
 python-setuptools,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 gunicorn (<< 19.0-3),
Replaces:
 gunicorn (<< 19.0-3),
Description: Event-based HTTP/WSGI server (Python 2 libraries)
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 2 library.

Package: python3-gunicorn
Architecture: all
Depends:
 python3-pkg-resources,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Description: Event-based HTTP/WSGI server (Python 3 libraries)
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 3 library.

Package: gunicorn-examples
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 gunicorn (<< 19.0-3),
Breaks:
 gunicorn (<< 19.0-3),
Recommends:
 libjs-jquery,
 libjs-jquery-flot,
Description: Event-based HTTP/WSGI server (examples)
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 These are the examples.

=== debian/tests/control ===
Depends: @, curl, procps
Test-Command: cd debian/tests && gunicorn --daemon --workers=2 --pid=app.pid test:app && sleep 5 && curl http://127.0.0.1:8000 | grep 'OK' && kill $(cat app.pid) && rm -f app.pid
Restrictions: allow-stderr

## gunicorn 19.7.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        = python
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html htmlview dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  htmlview   to open the index page built by the html target in your browser"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

htmlview: html
	$(PYTHON) -c "import webbrowser; webbrowser.open('build/html/index.html')"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Gunicorn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Gunicorn.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Gunicorn"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Gunicorn"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
gunicorn (19.7.1-4) unstable; urgency=medium

  * Bump compat level to 11.
  * Update gbp.conf.
  * Update Standards-Version.
  * Bump Standards-Version to 4.1.2.
  * Use HTTPS URI in debian/copyright.
  * Remove trailing whitespace in debian/changelog.
  * Override debian-watch-does-not-check-gpg-signature.
  * Tidy debian/tests/control.

 -- Chris Lamb <lamby@debian.org>  Wed, 07 Feb 2018 08:58:05 +0000

gunicorn (19.7.1-3) unstable; urgency=medium

  * Move autopkgtests to a separate file.

 -- Chris Lamb <lamby@debian.org>  Sat, 12 Aug 2017 12:56:56 -0400

gunicorn (19.7.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0.
  * Bump debhelper compatibility level to 10.
  * Drop useless ${python3:Depends} from gunicorn-examples package.
  * Set Section: python for python{,3}-gunicorn binary packages.
  * wrap-and-sort -sa.
  * Override no-upstream-changelog Lintian warnings.

 -- Chris Lamb <lamby@debian.org>  Sun, 30 Jul 2017 22:11:27 -0400

gunicorn (19.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Mar 2017 17:35:16 +0100

gunicorn (19.7.0-1) unstable; urgency=medium

  * New upstream release.
    - Update 0001-drop-supplemental-groups.patch.
    - The deprecated gunicorn_django command has been removed.
  * Add debian/gbp.conf.
  * Refresh all patches with pq import -> pq export.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Mar 2017 18:11:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  dh-python,
  python (>= 2.6.6-3~),
  python3-all,
 Build-Depends-Indep:
  python-setuptools,
  python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://github.com/lamby/pkg-gunicorn
 Vcs-Browser: https://github.com/lamby/pkg-gunicorn
 X-Python-Version: >= 2.6
@@ -19,7 +19,8 @@
 
 Package: gunicorn
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  python-gunicorn (= ${binary:Version}),
  python-pkg-resources,
@@ -52,6 +53,37 @@
  .
  This is the Python 2 version.
 
+Package: gunicorn-examples
+Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+Replaces:
+ gunicorn (<< 19.0-3),
+Breaks:
+ gunicorn (<< 19.0-3),
+Recommends:
+ libjs-jquery,
+ libjs-jquery-flot,
+Description: Event-based HTTP/WSGI server (examples)
+ Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
+ or sleepy applications. That is to say; behind a buffering front-end server
+ such as nginx or lighttpd.
+ .
+  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
+    long-polling ("Comet") connections.
+  * Process management: Gunicorn reaps and restarts workers that die.
+  * Easy integration with Django and Paster compatible applications (Pylons,
+    TurboGears 2, etc.
+  * Load balancing via pre-fork and a shared socket
+  * Graceful worker process restarts
+  * Upgrading without losing connections
+  * Decode chunked transfers on-the-fly, allowing upload progress notifications
+    or stream-based protocols over HTTP
+ .
+ These are the examples.
+
 Package: gunicorn3
 Architecture: all
 Depends:
@@ -82,8 +114,10 @@
  This is the Python 3 version.
 
 Package: python-gunicorn
+Section: python
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  python-pkg-resources,
  python-setuptools,
@@ -112,6 +146,7 @@
  This is the Python 2 library.
 
 Package: python3-gunicorn
+Section: python
 Architecture: all
 Depends:
  python3-pkg-resources,
@@ -135,34 +170,3 @@
     or stream-based protocols over HTTP
  .
  This is the Python 3 library.
-
-Package: gunicorn-examples
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${python3:Depends},
-Replaces:
- gunicorn (<< 19.0-3),
-Breaks:
- gunicorn (<< 19.0-3),
-Recommends:
- libjs-jquery,
- libjs-jquery-flot,
-Description: Event-based HTTP/WSGI server (examples)
- Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
- or sleepy applications. That is to say; behind a buffering front-end server
- such as nginx or lighttpd.
- .
-  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
-    long-polling ("Comet") connections.
-  * Process management: Gunicorn reaps and restarts workers that die.
-  * Easy integration with Django and Paster compatible applications (Pylons,
-    TurboGears 2, etc.
-  * Load balancing via pre-fork and a shared socket
-  * Graceful worker process restarts
-  * Upgrading without losing connections
-  * Decode chunked transfers on-the-fly, allowing upload progress notifications
-    or stream-based protocols over HTTP
- .
- These are the examples.

=== debian/tests/control ===
Tests: 0001-smoketest
Depends: @, curl, procps
Restrictions: allow-stderr

## gunicorn 19.8.1

=== debian/changelog ===
gunicorn (19.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Refresh and rebase patches.
  * Bump Standards-Version to 4.1.4.

 -- Chris Lamb <lamby@debian.org>  Wed, 02 May 2018 20:48:53 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends-Indep:
  python-setuptools,
  python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://github.com/lamby/pkg-gunicorn
 Vcs-Browser: https://github.com/lamby/pkg-gunicorn
 X-Python-Version: >= 2.6

## gunicorn 19.9.0

=== debian/changelog ===
gunicorn (19.9.0-4) unstable; urgency=medium

  * Add a /usr/bin/gunicorn3 -> /usr/bin/gunicorn compatibility symlink.
    (Closes: #939409)

 -- Chris Lamb <lamby@debian.org>  Thu, 05 Sep 2019 13:41:59 +0100

gunicorn (19.9.0-3) unstable; urgency=medium

  * Port autopkgtests to Python 3.x.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Sep 2019 16:57:37 +0100

gunicorn (19.9.0-2) unstable; urgency=medium

  * Drop support for Python 2.x; the "gunicorn" package now provides the
    Python 3.x version. (Closes: #936679)
  * Move debhelper compatibility level 12, using the debhelper-compat package.
  * Bump Standards-Version to 4.4.0.
  * Add a gitlab-ci.yml.
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Sep 2019 16:30:14 +0100

gunicorn (19.9.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #903222)

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Jul 2018 09:11:19 +0200

gunicorn (19.8.1-2) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org.
  * Drop "ancient" X-Python-Version and X-Python3-Version headers.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Jun 2018 17:54:56 +0100

=== debian/control ===
Source: gunicorn
Section: httpd
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/lamby/pkg-gunicorn.git
Vcs-Browser: https://salsa.debian.org/lamby/pkg-gunicorn
Homepage: http://gunicorn.org/

Package: gunicorn
Architecture: all
Depends:
 python3-gunicorn (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 gunicorn3 (<< 19.9.0-1),
Suggests:
 python3-pastedeploy,
 python3-setproctitle,
 python3-tornado,
Description: Event-based HTTP/WSGI server
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP

Package: gunicorn-examples
Architecture: all
Depends:
 ${misc:Depends},
Replaces:
 gunicorn (<< 19.0-3),
Breaks:
 gunicorn (<< 19.0-3),
Recommends:
 libjs-jquery,
 libjs-jquery-flot,
Description: Event-based HTTP/WSGI server (examples)
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 These are the examples.

Package: python3-gunicorn
Section: python
Architecture: all
Depends:
 python3-pkg-resources,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Description: Event-based HTTP/WSGI server (Python 3 libraries)
 Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
 or sleepy applications. That is to say; behind a buffering front-end server
 such as nginx or lighttpd.
 .
  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
    long-polling ("Comet") connections.
  * Process management: Gunicorn reaps and restarts workers that die.
  * Easy integration with Django and Paster compatible applications (Pylons,
    TurboGears 2, etc.
  * Load balancing via pre-fork and a shared socket
  * Graceful worker process restarts
  * Upgrading without losing connections
  * Decode chunked transfers on-the-fly, allowing upload progress notifications
    or stream-based protocols over HTTP
 .
 This is the Python 3 library.

## gunicorn 20.0.0

=== debian/changelog ===
gunicorn (20.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add Rules-Requires-Root: no.

 -- Chris Lamb <lamby@debian.org>  Tue, 12 Nov 2019 10:48:55 +0100

## gunicorn 20.0.2

=== debian/changelog ===
gunicorn (20.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 24 Nov 2019 18:07:17 -0500

## gunicorn 20.0.4

=== debian/changelog ===
gunicorn (20.0.4-4) unstable; urgency=medium

  * Mark that the [Python 3.x] gunicorn binary package replaces the legacy
    gunicorn3 one removed in 19.9.0-2. Thanks, Enrico. (Re: #953883)
  * Add Bug-Database and Bug-Submit to debian/upstream/metadata.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Mar 2020 18:08:15 +0000

gunicorn (20.0.4-3) unstable; urgency=medium

  * Specify that the gunicorn binary package provides the httpd-wsgi3 virtual
    package. (Closes: #952706)

 -- Chris Lamb <lamby@debian.org>  Thu, 27 Feb 2020 13:28:21 -0800

gunicorn (20.0.4-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Standards-Version to 4.5.0.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse, etc.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Feb 2020 22:51:09 +0000

gunicorn (20.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 29 Nov 2019 09:58:36 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/lamby/pkg-gunicorn.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-gunicorn
-Homepage: http://gunicorn.org/
+Homepage: https://gunicorn.org/
+Rules-Requires-Root: no
 
 Package: gunicorn
 Architecture: all
@@ -18,8 +19,13 @@
  python3-gunicorn (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- gunicorn3 (<< 19.9.0-1),
+Provides:
+ gunicorn3,
+ httpd-wsgi3,
+Conflicts:
+ gunicorn3,
+Replaces:
+ gunicorn3,
 Suggests:
  python3-pastedeploy,
  python3-setproctitle,

## gunicorn 20.1.0

=== debian/changelog ===
gunicorn (20.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
  * Bump Standards-Version to 4.5.1.
  * Move to debhelper-compat level 13.

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Feb 2021 09:43:48 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/lamby/pkg-gunicorn.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-gunicorn
 Homepage: https://gunicorn.org/

=== debian/rules ===
#!/usr/bin/make -f

MANPAGES = $(patsubst %.pod,%.1, $(wildcard debian/manpages/*.pod))

export PYBUILD_NAME = gunicorn

%:
	dh $@ --with=python3 --buildsystem=pybuild

%.1: %.pod
	pod2man $< $@

override_dh_auto_build: $(MANPAGES)
	dh_auto_build

override_dh_auto_test:
	# Tests require internet access.

override_dh_auto_install:
	dh_auto_install
	# Shuffle scripts into the correct binary package.
	mkdir -p debian/gunicorn/usr/bin
	mv debian/python3-gunicorn/usr/bin/gunicorn* debian/gunicorn/usr/bin

override_dh_installexamples:
	dh_installexamples
	find \
		debian/gunicorn-examples/usr/share/doc/gunicorn-examples/examples \
		-type f \
		-executable \
		-print0 | xargs -0r chmod -x

=== debian/tests/control ===
Tests: 0001-smoketest
Depends:
 curl,
 procps,
 @,
Restrictions: allow-stderr

## gunicorn 22.0.0

=== debian/changelog ===
gunicorn (22.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix running tornado apps (closes: #997990).
    - CVE-2024-1135: Fail-safe on unsupported request framing (closes:
      #1069126).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 May 2024 17:41:34 +0100

gunicorn (20.1.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 17:36:51 +0000

gunicorn (20.1.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:10:22 +0100

gunicorn (20.1.0-4) unstable; urgency=medium

  * Team upload
  * Add upstream patch with fix for change in eventlet 0.30.3+

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 18 Oct 2022 18:13:54 -0300

gunicorn (20.1.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:39:50 +0100

gunicorn (20.1.0-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Move package to Python Team.
  * Update debian/watch version.
  * Bump Standards-Version to 4.6.0.

  [ Debian Janitor ]
  * Apply multi-arch hints. + gunicorn-examples: Add Multi-Arch: foreign.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Nov 2021 17:35:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: gunicorn
 Section: httpd
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Chris Lamb <lamby@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-packaging,
  python3-setuptools,
-Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/lamby/pkg-gunicorn.git
-Vcs-Browser: https://salsa.debian.org/lamby/pkg-gunicorn
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/gunicorn.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/gunicorn
 Homepage: https://gunicorn.org/
 Rules-Requires-Root: no
 
@@ -50,13 +54,10 @@
 Architecture: all
 Depends:
  ${misc:Depends},
-Replaces:
- gunicorn (<< 19.0-3),
-Breaks:
- gunicorn (<< 19.0-3),
 Recommends:
  libjs-jquery,
  libjs-jquery-flot,
+Multi-Arch: foreign
 Description: Event-based HTTP/WSGI server (examples)
  Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
  or sleepy applications. That is to say; behind a buffering front-end server
@@ -79,8 +80,6 @@
 Section: python
 Architecture: all
 Depends:
- python3-pkg-resources,
- python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},
 Description: Event-based HTTP/WSGI server (Python 3 libraries)

## gunicorn 23.0.0

=== examples/frameworks/requirements.txt ===
-r requirements_flaskapp.txt
-r requirements_cherryapp.txt
-r requirements_pyramidapp.txt
-r requirements_tornadoapp.txt
-r requirements_webpyapp.txt

=== debian/changelog ===
gunicorn (23.0.0-1) unstable; urgency=medium

  * Team upload.
  * Enable autopkgtest-pkg-pybuild.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 14 Aug 2024 19:08:22 +0100

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/gunicorn
 Homepage: https://gunicorn.org/
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: gunicorn
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 MANPAGES = $(patsubst %.pod,%.1, $(wildcard debian/manpages/*.pod))
 
 export PYBUILD_NAME = gunicorn
+export PYBUILD_TEST_PYTEST = 1
+# https://bugs.debian.org/1078714
+export PYBUILD_TEST_ARGS = -k 'not test_geventlet'
 
 %:
 	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/benoitc/gunicorn/tags .*/(.*)\.tar\.gz

## gunicorn 25.0.3

=== examples/embedding_service/requirements.txt ===
sentence-transformers
fastapi
pydantic
requests
numpy

=== debian/changelog ===
gunicorn (25.0.3-1) unstable; urgency=low

  * Team upload.
  * New upstream version 25.0.3
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Stop skipping geventlet tests.
  * Use dh-sequence-python3.
  * Add python3-h2 and python3-pytest-asyncio as extra dependencies for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sun, 08 Feb 2026 08:21:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,15 @@
  Chris Lamb <lamby@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-packaging,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/gunicorn.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/gunicorn
 Homepage: https://gunicorn.org/
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: gunicorn

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 export PYBUILD_NAME = gunicorn
 export PYBUILD_TEST_PYTEST = 1
-# https://bugs.debian.org/1078714
-export PYBUILD_TEST_ARGS = -k 'not test_geventlet'
 
 %:
 	dh $@ --with=python3 --buildsystem=pybuild

## gunicorn 25.1.0

=== Makefile ===
build:
	virtualenv venv
	venv/bin/pip install -e .
	venv/bin/pip install -r requirements_dev.txt

docs:
	mkdocs build

docs-serve:
	mkdocs serve

clean:
	@rm -rf .Python MANIFEST build dist venv* *.egg-info *.egg
	@find . -type f -name "*.py[co]" -delete
	@find . -type d -name "__pycache__" -delete

.PHONY: build clean docs docs-serve

=== examples/streaming_chat/requirements.txt ===
fastapi>=0.100.0
pydantic>=2.0.0

=== debian/changelog ===
gunicorn (25.1.0-1) unstable; urgency=low

  * New upstream version 25.1.0
  * Use uscan version 5.
  * Generate manpage for gunicornc tool.

 -- Michael Fladischer <fladi@debian.org>  Sun, 15 Feb 2026 09:13:46 +0000

gunicorn (25.0.3-2) unstable; urgency=low

  * Enable tests during build (Closes: #1118583).
  * Build documentation using mkdocs and ship in separate binary package.
  * Simplify d/rules by using execute_after_ target instead of override.
  * Use \$(CURDIR) in d/rules.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Add myself to d/copyright and as uploader.
  * Update licenses and dates in d/copyright.
  * Build manpage using help2man to keep them up-to-date with upstream.

 -- Michael Fladischer <fladi@debian.org>  Tue, 10 Feb 2026 12:27:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,25 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Chris Lamb <lamby@debian.org>,
+ Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-mkdocs <!nodoc>,
  dh-sequence-python3,
+ help2man,
+ mkdocs,
+ mkdocs-gen-files,
+ mkdocs-macros-plugin,
+ mkdocs-material,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-eventlet,
+ python3-gevent,
+ python3-h2,
  python3-packaging,
+ python3-pytest,
+ python3-pytest-asyncio,
+ python3-pytest-cov,
  python3-setuptools,
 Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/gunicorn.git
@@ -76,6 +89,31 @@
  .
  These are the examples.
 
+Package: python-gunicorn-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends:
+ ${misc:Depends},
+ ${mkdocs:Depends},
+Description: Event-based HTTP/WSGI server (Documentation)
+ Green Unicorn (gunicorn) is an HTTP/WSGI server designed to serve fast clients
+ or sleepy applications. That is to say; behind a buffering front-end server
+ such as nginx or lighttpd.
+ .
+  * Optional support for Eventlet, Tornado and Gevent to provide asynchronous
+    long-polling ("Comet") connections.
+  * Process management: Gunicorn reaps and restarts workers that die.
+  * Easy integration with Django and Paster compatible applications (Pylons,
+    TurboGears 2, etc.
+  * Load balancing via pre-fork and a shared socket
+  * Graceful worker process restarts
+  * Upgrading without losing connections
+  * Decode chunked transfers on-the-fly, allowing upload progress notifications
+    or stream-based protocols over HTTP
+ .
+ This package contains the documentation.
+
 Package: python3-gunicorn
 Section: python
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = gunicorn
export PYBUILD_AFTER_TEST=rm -f {build_dir}/coverage.xml
#
# Skip signal test if not run by autopkgtest.
ifeq ($(origin PYBUILD_AUTOPKGTEST),undefined)
export PYBUILD_TEST_ARGS=--ignore=tests/test_signal_integration.py
endif

%:
	dh $@ --with=python3,mkdocs --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p $(CURDIR)/debian/gunicorn/usr/bin
	mv $(CURDIR)/debian/python3-gunicorn/usr/bin/gunicorn* $(CURDIR)/debian/gunicorn/usr/bin

override_dh_installexamples:
	dh_installexamples
	find \
		$(CURDIR)/debian/gunicorn-examples/usr/share/doc/gunicorn-examples/examples \
		-type f \
		-executable \
		-print0 | xargs -0r chmod -x

override_dh_mkdocs:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$$(pybuild --print build_dir --name gunicorn -p $$(python3 -c 'import sys; print(f"{sys.version_info.major}.{sys.version_info.minor}")') | awk -F ': ' 'NR==1{print $$2}') mkdocs build -d $(CURDIR)/debian/python-gunicorn-doc/usr/share/doc/python-gunicorn-doc/html
endif
	dh_mkdocs --theme-package mkdocs-material

execute_before_dh_installman:
	PYTHONPATH=$$(pybuild --print build_dir --name gunicorn -p $$(python3 -c 'import sys; print(f"{sys.version_info.major}.{sys.version_info.minor}")') | awk -F ': ' 'NR==1{print $$2}') help2man --no-discard-stderr -n "HTTP/WSGI/ASGI server" $(CURDIR)/debian/gunicorn/usr/bin/gunicorn >gunicorn.1
	PYTHONPATH=$$(pybuild --print build_dir --name gunicorn -p $$(python3 -c 'import sys; print(f"{sys.version_info.major}.{sys.version_info.minor}")') | awk -F ': ' 'NR==1{print $$2}') help2man --no-discard-stderr -n "gunicorn control client" $(CURDIR)/debian/gunicorn/usr/bin/gunicornc >gunicornc.1

=== debian/tests/control ===
Tests:
 0001-smoketest,
Depends:
 curl,
 procps,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5
Template: GitHub
Owner: benoitc
Project: gunicorn
